## visad
Class DataImpl.Syncher

    java.lang.Object
      visad.DataImpl.Syncher

All Implemented Interfaces:
  DisplayListener, EventListener

Enclosing class:
  DataImpl

public class DataImpl.Syncher
extends Object
implements DisplayListener

class used to synchronize with TRANSFORM_DONE events from dummy DisplayImplJ2D used by computeRanges()

Constructor Summary
`(package private)` `DataImpl.Syncher()` construct Syncher, add as DisplayListener to dummy DisplayImplJ2D, enableAction() and wait for TRANSFORM_DONE

Method Summary
`void` `displayChanged(DisplayEvent e)` look for TRANSFORM_DONE event from dummy DisplayImplJ2D

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataImpl.Syncher

    DataImpl.Syncher()

  construct Syncher, add as DisplayListener to dummy DisplayImplJ2D, enableAction() and wait for TRANSFORM_DONE

Method Detail

### displayChanged

    public void displayChanged(DisplayEvent e)
                        throws VisADException,
                               RemoteException

  look for TRANSFORM_DONE event from dummy DisplayImplJ2D

  Specified by:
    `displayChanged` in interface `DisplayListener`
  Parameters:
    `e` - DisplayEvent from dummy DisplayImplJ2D
  Throws:
    `VisADException` - a VisAD error occurred
    `RemoteException` - an RMI error occurred